Skip to main content
GET
/
api
/
{projectId}
/
impulse
/
all
Get impulse including disabled blocks
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/impulse/all \
  --header 'x-api-key: <api-key>'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/impulse/all"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/impulse/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "error": "<string>",
  "impulse": {
    "id": 123,
    "name": "<string>",
    "inputBlocks": [
      {
        "id": 2,
        "type": "time-series",
        "name": "Time series",
        "title": "Time series",
        "axes": [
          "accX"
        ],
        "windowSizeMs": 2004,
        "windowIncreaseMs": 123,
        "frequencyHz": 60,
        "classificationWindowIncreaseMs": 123,
        "padZeros": true,
        "labelingMethodMultiLabel": {
          "labels": [
            "<string>"
          ],
          "minPercentage": 123
        },
        "imageWidth": 28,
        "imageHeight": 28,
        "resizeMode": "squash",
        "resizeMethod": "squash",
        "cropAnchor": "middle-center",
        "createdBy": "createImpulse",
        "createdAt": "2023-11-07T05:31:56Z",
        "datasetSubset": {
          "includePercentage": 123,
          "seed": 123
        }
      }
    ],
    "dspBlocks": [
      {
        "id": 2,
        "type": "spectral-analysis",
        "name": "Spectral features",
        "axes": [
          "accX"
        ],
        "title": "Spectral Analysis",
        "implementationVersion": 123,
        "valuesPerAxis": 11,
        "input": 1,
        "createdBy": "createImpulse",
        "createdAt": "2023-11-07T05:31:56Z",
        "organization": {
          "id": 123,
          "dspId": 123
        },
        "customUrl": "<string>",
        "namedAxes": [
          {
            "name": "<string>",
            "description": "<string>",
            "required": true,
            "selectedAxis": "<string>"
          }
        ]
      }
    ],
    "learnBlocks": [
      {
        "id": 2,
        "name": "NN Classifier",
        "dsp": [
          27
        ],
        "title": "Classification (Keras)",
        "createdBy": "createImpulse",
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ],
    "postProcessingBlocks": [
      {
        "id": 2,
        "type": "object-tracking",
        "name": "Object tracking",
        "title": "Object tracking",
        "implementationVersion": 123,
        "createdBy": "createImpulse",
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Query Parameters

impulseId
integer

Impulse ID. If this is unset then the default impulse is used.

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

error
string

Optional error description (set if 'success' was false)

impulse
object